Bug 1127025 - [abrt] control-center: g_type_check_instance_cast(): gnome-control-center killed by SIGSEGV
Summary: [abrt] control-center: g_type_check_instance_cast(): gnome-control-center kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:37fb02d869dae1d17767a48a46c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 00:32 UTC by Chris Murphy
Modified: 2015-12-02 16:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:21:12 UTC


Attachments (Terms of Use)
File: backtrace (44.24 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: cgroup (190 bytes, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: core_backtrace (12.09 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: dso_list (25.46 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: environ (1.34 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: maps (119.60 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: open_fds (1.55 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details
File: var_log_messages (1.45 KB, text/plain)
2014-08-06 00:32 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2014-08-06 00:32:11 UTC
Version-Release number of selected component:
control-center-3.13.4-1.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        gnome-control-center network show-device /org/freedesktop/NetworkManager/Devices/2
crash_function: g_type_check_instance_cast
executable:     /usr/bin/gnome-control-center
kernel:         3.16.0-1.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_type_check_instance_cast at gtype.c:4008
 #1 wireless_enabled_toggled at net-device-wifi.c:249
 #7 g_object_notify_by_spec_internal at gobject.c:1149
 #8 g_object_notify at gobject.c:1197
 #9 deferred_notify_cb at nm-object.c:515
 #13 g_main_context_iteration at gmain.c:3795
 #14 g_application_run at gapplication.c:2219

Potential duplicate: bug 1051715

Comment 1 Chris Murphy 2014-08-06 00:32:14 UTC
Created attachment 924315 [details]
File: backtrace

Comment 2 Chris Murphy 2014-08-06 00:32:15 UTC
Created attachment 924316 [details]
File: cgroup

Comment 3 Chris Murphy 2014-08-06 00:32:16 UTC
Created attachment 924317 [details]
File: core_backtrace

Comment 4 Chris Murphy 2014-08-06 00:32:17 UTC
Created attachment 924318 [details]
File: dso_list

Comment 5 Chris Murphy 2014-08-06 00:32:17 UTC
Created attachment 924319 [details]
File: environ

Comment 6 Chris Murphy 2014-08-06 00:32:18 UTC
Created attachment 924320 [details]
File: exploitable

Comment 7 Chris Murphy 2014-08-06 00:32:19 UTC
Created attachment 924321 [details]
File: limits

Comment 8 Chris Murphy 2014-08-06 00:32:20 UTC
Created attachment 924322 [details]
File: maps

Comment 9 Chris Murphy 2014-08-06 00:32:21 UTC
Created attachment 924323 [details]
File: open_fds

Comment 10 Chris Murphy 2014-08-06 00:32:21 UTC
Created attachment 924324 [details]
File: proc_pid_status

Comment 11 Chris Murphy 2014-08-06 00:32:22 UTC
Created attachment 924325 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-11-04 15:13:09 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-12-02 03:21:16 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.